Subject: Re: [PATCH 0/3] powerpc: Instrument Hypervisor Calls

From: Arnd Bergmann <[email-masked]>
Date: Sat, 15 Jul 2006 18:42:26 +0200

On Saturday 15 July 2006 17:30, Anton Blanchard wrote:
> > What happened to the question whether to use PURR values for also measuring
> > cycles spent executing the hcall as opposed to cycles that passed before
> > the hcall returns. Did that turn out not giving extra information after all
> > or was there a different reason to drop that idea?
> 
> You have to be careful with PURR since it may be context switched
> between partitions.
> 

Not sure I follow you. I would expect the PURR value to be restored after
a context switch, even if we continue on a different physical CPU.

The idea behind monitoring both PURR and timebase is that the difference
between the two tells you how long the partition was suspended during
the hcall.

	Arnd <><